package com.njcn.advance.pojo.dto.waveAnalysis;



import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author hongawen
 * @Date: 2018/12/4 10:03
 */
public class WaveData implements Serializable {
    //标题数据
    private List<String> tmpWaveTitle = new ArrayList<>();

    //瞬时波形的数据
    List<List<Float>> sunData = new ArrayList<>();

    //RMS波形的数据
    List<List<Float>> rmsData = new ArrayList<>();

    //相别个数
    private int iPhasic = 0;

    //PT变比
    Float pt = 0.0f;

    //CT变比
    Float ct = 0.0f;

    private String a="A相";

    private String b="B相";

    private String c="C相";

    //波形采样率
    private long nOneWaveNum = 32;
    private Date firstTime;//暂降触发第一次
    private Integer firstMs;


    //发生时刻
    String time;

    //暂降类型
    String waveType;

    //严重度
    float yzd;

    //监测点名称
    String lineName;

    //暂降幅值
    Float eventValue;

    //持续时间
    Float persistTime;

    //暂降触发时间
    private Date trigeTime;

    private boolean openTri=false;

    //最大最小值集合
    private List<PubWaveModel.tagWave> readComtrade = new ArrayList<>();

    //变电站名称
    private String subName;



    public WaveData() {
        iPhasic = 0;
    }

    public AnalyWaveModel.tagRates getRatesCfg() {
        return RatesCfg;
    }

    public void setRatesCfg(AnalyWaveModel.tagRates ratesCfg) {
        RatesCfg = ratesCfg;
    }

    private AnalyWaveModel.tagRates RatesCfg;//cfg_采样率实体类

    public List<PubWaveModel.tagWave> getReadComtrade() {
        return readComtrade;
    }

    public void setReadComtrade(List<PubWaveModel.tagWave> readComtrade) {
        this.readComtrade = readComtrade;
    }

    public List<List<Float>> getSunData() {
        return sunData;
    }

    public void setSunData(List<List<Float>> sunData) {
        this.sunData = sunData;
    }

    public List<List<Float>> getRmsData() {
        return rmsData;
    }

    public void setRmsData(List<List<Float>> rmsData) {
        this.rmsData = rmsData;
    }

    public Float getPt() {
        return pt;
    }

    public void setPt(Float pt) {
        this.pt = pt;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getWaveType() {
        return waveType;
    }

    public void setWaveType(String waveType) {
        this.waveType = waveType;
    }

    public float getYzd() {
        return yzd;
    }

    public void setYzd(float yzd) {
        this.yzd = yzd;
    }

    public Float getCt() {
        return ct;
    }

    public void setCt(Float ct) {
        this.ct = ct;
    }

    public long getnOneWaveNum() {
        return nOneWaveNum;
    }

    public void setnOneWaveNum(long nOneWaveNum) {
        this.nOneWaveNum = nOneWaveNum;
    }

    public Date getFirstTime() {
        return firstTime;
    }

    public void setFirstTime(Date firstTime) {
        this.firstTime = firstTime;
    }

    public Integer getFirstMs() {
        return firstMs;
    }

    public void setFirstMs(Integer firstMs) {
        this.firstMs = firstMs;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public Float getEventValue() {
        return eventValue;
    }

    public void setEventValue(Float eventValue) {
        this.eventValue = eventValue;
    }

    public Float getPersistTime() {
        return persistTime;
    }

    public void setPersistTime(Float persistTime) {
        this.persistTime = persistTime;
    }


    public Date getTrigeTime() {
		return trigeTime;
	}

	public void setTrigeTime(Date trigeTime) {
		this.trigeTime = trigeTime;
	}

	public boolean getOpenTri() {
        return openTri;
    }

    public void setOpen(boolean open) {
        this.openTri = open;
    }

    public List<String> getTmpWaveTitle() {
        return tmpWaveTitle;
    }

    public void setTmpWaveTitle(List<String> tmpWaveTitle) {
        this.tmpWaveTitle = tmpWaveTitle;
    }

    public String getA() {
        return a;
    }

    public void setA(String a) {
        this.a = a;
    }

    public String getB() {
        return b;
    }

    public void setB(String b) {
        this.b = b;
    }

    public String getC() {
        return c;
    }

    public void setC(String c) {
        this.c = c;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }


    public int getiPhasic() {
        return iPhasic;
    }

    public void setiPhasic(int iPhasic) {
        this.iPhasic = iPhasic;
    }

    @Override
    public String toString() {
        return "WaveData{" +
                "tmpWaveTitle=" + tmpWaveTitle +
                ", sunData=" + sunData +
                ", rmsData=" + rmsData +
                ", iPhasic=" + iPhasic +
                ", pt=" + pt +
                ", ct=" + ct +
                ", a='" + a + '\'' +
                ", b='" + b + '\'' +
                ", c='" + c + '\'' +
                ", nOneWaveNum=" + nOneWaveNum +
                ", firstTime=" + firstTime +
                ", firstMs=" + firstMs +
                ", RatesCfg=" + RatesCfg +
                ", time='" + time + '\'' +
                ", waveType='" + waveType + '\'' +
                ", yzd=" + yzd +
                ", lineName='" + lineName + '\'' +
                ", eventValue=" + eventValue +
                ", persistTime=" + persistTime +
                ", trigeTime=" + trigeTime +
                ", openTri=" + openTri +
                ", readComtrade=" + readComtrade +
                ", subName='" + subName + '\'' +
                '}';
    }
}
